Bug 1655090 - LDAP username not remembered
Summary: LDAP username not remembered
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: slick-greeter
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 15:03 UTC by Assen Totin
Modified: 2019-11-27 20:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:09:12 UTC


Attachments (Terms of Use)

Description Assen Totin 2018-11-30 15:03:02 UTC
Description of problem:
Fedora MATE remix. I use an LDAP-based (AD) login. Before I upgraded to F29, the login screen would display a drop-down of usernames, having the most often used one selected. This list would include my LDAP username and it would be selected. Since the upgrade from F28 to F29 the list no longer contains my LDAP username and only show locally authenticated users (I have one such for emergency purposes).

Not sure this is a fault of the Slick Greeter, but this is the component I interact with.

Version-Release number of selected component (if applicable):
F29 with all updates. I'm unable to guess the RPM package name of the slick greeter.

How reproducible:
Every time.

Steps to Reproduce:
1. Install F29 MATE.
2. Enlist it into AD and login with the LDAP username.
3. Reboot.

Actual results:
The LDAP username is missing from the drop-down.

Expected results:
The LDAP username is on the drop-down and, if it is the most frequently used one, is selected.

Additional info:
Manually entering the username works, but is, of course highly inconvenient - especially taking into account that this worked at least with the past several Fedora releases.

Comment 1 Ben Cotton 2019-10-31 20:23:14 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:09:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.